.\" route-rnd - manual
.\" Copyright (C) 2021 Tibor 'Igor2' Palinkas
.\" 
.\" This program is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\" 
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
.\" GNU General Public License for more details.
.\" 
.\" You should have received a copy of the GNU General Public License along
.\" with this program; if not, write to the Free Software Foundation, Inc.,
.\" 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
.\" 
.\" Contact: pcb-rnd-man[removethis]@igor2.repo.hu
.TH route-rnd 1 2021-10-10 "" "route-rnd manual"
.SH NAME
route-rnd - external PCB autorouter
.SH SYNPOSIS
.nf
.sp
\fBroute-rnd [-v] -m \fImethod\fB [-o \fIout_fn\fB] \fIinp_fn\fB
\fBroute-rnd -m \fImethod\fB -l
\fBroute-rnd -M
.fi
.SH DECSRIPTION

.BR route-rnd
takes a route request in tEDAx form, routes zero or more nets and returns a route result in tEDAx form. It has options to list methods (algorithms) and their settings in computer readable format.
.SH OPTIONS


.TP

.B -M 
List available methods (in TSV format) on stdout. 
.TP

.B -m \fImethod\fR 
Select which method (algorithm) to use; method names can be learned from the first column of -M output. 
.TP

.B -l 
List config options of a method in tEDAx route res format on stdout. Use it together with -m. 
.TP

.B -v 
increase verbosity (can be specified multiple times) 
.TP

.B -o \fIout_fn\fR 
Output file name (for tEDAx route result). 
.TP

.B \fIinp_fn\fR 
Input file name (tEDAx route request).
.PP

.SH SEE ALSO
pcb-rnd(1)
